# https://github.com/ozmartian/vidcutter/archive/5.5.0.tar.gz

Name:           vidcutter
Version:        6.0.5.1
Release:        %mkrel 4
Summary:        A fast video cutter & joiner with the help of mpv + FFmpeg
License:        GPL3
URL:            https://github.com/ozmartian/vidcutter
Group:          Video
Source0:        %{name}-%{version}.tar.xz
Patch1: 1d88825feb5a73a50d019914ba9d0008562a58ce.patch
Patch2: 8010f5c64efe68d8130a036f976d2d2ff1c868ad.patch
Patch3: 4cf1458d832e6ac7a824d7963c6dc3a0e5c17574.patch
Patch4: 27c1ceb1764a86b284fb9115b9cf740891be1329.patch
Patch5: 85bf70698ed9.patch
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  mpv-devel
Requires:       python3
Requires:       python3-qt5
Requires:       python3-setuptools
Requires:       python3-typing
Requires:       mpv
Requires:       ffmpeg
Requires:       mediainfo
Requires:       python3-opengl
%description
A simple & fast video cutter & joiner with the help of mpv + FFmpeg

%prep
%setup -q
%apply_patches

%build
%py3_build

%install
%py3_install

%files
%{_bindir}/vidcutter
%{python3_sitearch}/*
%{_datadir}/applications/com.ozmartians.VidCutter.desktop
%{_datadir}/doc/vidcutter/CHANGELOG
%{_datadir}/doc/vidcutter/LICENSE
%{_datadir}/doc/vidcutter/README.md
%{_datadir}/icons/hicolor/128x128/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/16x16/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/22x22/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/24x24/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/256x256/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/32x32/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/48x48/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/512x512/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/64x64/apps/com.ozmartians.VidCutter.png
%{_datadir}/icons/hicolor/scalable/apps/com.ozmartians.VidCutter.svg
%{_datadir}/metainfo/com.ozmartians.VidCutter.appdata.xml
%{_datadir}/mime/packages/com.ozmartians.VidCutter.xml


%changelog
* Thu Dec 22 2022 tex - 6.0.5.1-4pclos2022
- apply upstream patches

* Sat Sep 24 2022 TerryN <terryn94 at gmail.com>  6.0.5.1-3pclos2022
- add patch to fix python 3.10 qsize float bug

* Fri Aug 26 2022 TerryN <terryn94 at gmail.com>  6.0.5.1-2pclos2022
- rebuild for python 3.10

* Thu Jul 22 2021 tex - 6.0.5.1-1pclos2021
- new version

* Thu Apr 04 2019 tex - 6.0.0-2pclos2019
- rebuild against updates

